PageRenderTime 54ms CodeModel.GetById 1ms RepoModel.GetById 0ms app.codeStats 0ms

/runtime/esb-manage/regress/jbiadmin03001.ksh

https://bitbucket.org/rsaqc/openesb-core
Korn Shell | 98 lines | 51 code | 12 blank | 35 comment | 7 complexity | 59cae32cd63c3cf690f9f9c882692568 MD5 | raw file
  1. #!/bin/sh
  2. #
  3. # BEGIN_HEADER - DO NOT EDIT
  4. #
  5. # The contents of this file are subject to the terms
  6. # of the Common Development and Distribution License
  7. # (the "License"). You may not use this file except
  8. # in compliance with the License.
  9. #
  10. # You can obtain a copy of the license at
  11. # https://open-esb.dev.java.net/public/CDDLv1.0.html.
  12. # See the License for the specific language governing
  13. # permissions and limitations under the License.
  14. #
  15. # When distributing Covered Code, include this CDDL
  16. # HEADER in each file and include the License file at
  17. # https://open-esb.dev.java.net/public/CDDLv1.0.html.
  18. # If applicable add the following below this CDDL HEADER,
  19. # with the fields enclosed by brackets "[]" replaced with
  20. # your own identifying information: Portions Copyright
  21. # [year] [name of copyright owner]
  22. #
  23. #
  24. # @(#)jbiadmin03001.ksh
  25. # Copyright 2004-2008 Sun Microsystems, Inc. All Rights Reserved.
  26. #
  27. # END_HEADER - DO NOT EDIT
  28. #
  29. ####
  30. #test to verify that event listeners for create registers the ComponentFacadeMBeans
  31. #start domain
  32. #create an instance before any JBI specific activity is done
  33. #execute a lifecycle operation on a system component
  34. #this verifies that the ComponentFacadeMBeans are registered for this instance
  35. ####
  36. echo "jbiadmin03001 : Test fix for CR 6532519 - not able to start system components in standalone instance"
  37. my_test_domain=ESBTest
  38. . ./regress_defs.ksh
  39. . $AS8BASE/ESBTest_port.sh
  40. start_domain
  41. echo Creating nodeagent esbagent1
  42. cmd="asadmin create-node-agent -t --port $ASADMIN_PORT $ASADMIN_PW_OPTS esbagent1"
  43. 1>&2 eval $cmd
  44. status=$?
  45. if [ $status -ne 0 ]; then
  46. bldmsg -status $status -p $0 -error "COMMAND '$cmd' FAILED"
  47. shutdown_domain
  48. exit 1
  49. fi
  50. echo Creating instance esbinst1
  51. cmd="asadmin create-instance --port $ASADMIN_PORT $ASADMIN_PW_OPTS --nodeagent esbagent1 esbinst1"
  52. 1>&2 eval $cmd
  53. status=$?
  54. if [ $status -ne 0 ]; then
  55. bldmsg -status $status -p $0 -error "COMMAND '$cmd' FAILED"
  56. shutdown_domain
  57. exit 1
  58. fi
  59. echo Starting sun-http-binding on target esbinst1
  60. asadmin start-jbi-component --port $ASADMIN_PORT $ASADMIN_PW_OPTS --target=esbinst1 sun-http-binding 2>&1
  61. echo Deleting instance esbinst1
  62. cmd="asadmin delete-instance --port $ESBTest_admin_port $ASADMIN_PW_OPTS esbinst1"
  63. 1>&2 eval $cmd
  64. status=$?
  65. if [ $status -ne 0 ]; then
  66. bldmsg -status $status -p $0 -error "COMMAND '$cmd' FAILED"
  67. exit 1
  68. fi
  69. echo Deleting node agent config for esbagent1
  70. cmd="asadmin delete-node-agent-config --port $ESBTest_admin_port $ASADMIN_PW_OPTS esbagent1"
  71. 1>&2 eval $cmd
  72. status=$?
  73. if [ $status -ne 0 ]; then
  74. bldmsg -status $status -p $0 -error "COMMAND '$cmd' FAILED"
  75. exit 1
  76. fi
  77. echo Deleting node agent esbagent1
  78. cmd="asadmin delete-node-agent esbagent1"
  79. 1>&2 eval $cmd
  80. status=$?
  81. if [ $status -ne 0 ]; then
  82. bldmsg -status $status -p $0 -error "COMMAND '$cmd' FAILED"
  83. exit 1
  84. fi
  85. shutdown_domain
  86. exit 0